> ## Documentation Index
> Fetch the complete documentation index at: https://checkly-422f444a-mda-troubleshooting-section.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Windsurf

> Learn how to use Windsurf to create checks.

<Tabs>
  <Tab title="Mac and Linux">
    ```bash Terminal theme={null}
    mkdir -p .windsurf/rules && curl -o .windsurf/rules/checkly.md "https://www.checklyhq.com/docs/ai/checkly.rules.md" -L
    ```
  </Tab>

  <Tab title="Windows">
    ```bash Terminal theme={null}
    New-Item -ItemType Directory -Path ".windsurf\rules" -Force
    Invoke-WebRequest -Uri "https://www.checklyhq.com/docs/ai/checkly.rules.md" -OutFile ".windsurf\rules\checkly.md"
    ```
  </Tab>
</Tabs>

You can now reference the `checkly.md` using `@checkly.md` file in your WindSurf chats and ask it to generate code for
API Checks, Browser checks, Multistep checks and all other constructs.
